import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onInfbutSearow(){
                    const that = this.root;
                    let rtnmsg = await that.executeRule("infbut.searow")
                    if(rtnmsg.respCode == "AAAAAA")
                    {
                        // Utils.copyValueFromVO(this.model,rtnmsg.data);
                        // this.model.infbut.dspstm = rtnmsg.data.infbut_dspstm.rows
                        this.model.infbut.dspstm = rtnmsg.data.infbut_dspstm.rows
                        this.$message({
                            type: 'success',
                            message: '查询成功！'
                        });
                        console.log("1:" + rtnmsg.data.infbut_dspstm);
                        console.log("2:" + rtnmsg.data.infbut_dspstm.rows);
                    }
                    else
                    {
                    this.$notify.error({title: '错误',message: '服务请求失败！'});
                    }
            },
        async onInfbutDsp(){
            const that = this.root;
            let rtnmsg = await that.executeRule("infbut.dsp")
            if(rtnmsg.respCode == "AAAAAA")
            {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutUserow(){
                let rtnmsg = await this.executeRule("infbut_userow")
                if(rtnmsg.retcod == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutClr(){
            console.log("infcon1:" + this.model.infcon.seaownref);
            const that = this.root;
            let rtnmsg = await that.executeRule("infbut.clr")
            if(rtnmsg.respCode == "AAAAAA")
            {
                this.model.infcon = []
               console.log("infcon2:" + this.model.infcon.seaownref);
                this.$message({
                    type: 'success',
                    message: '处理成功！'
                });

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutButprt(){
            const that = this.root;
            let rtnmsg = await that.executeRule("infbut.butprt")
            if(rtnmsg.respCode == "AAAAAA")
            {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutExi(){
                let rtnmsg = await this.executeRule("infbut_exi")
                if(rtnmsg.respCode == "AAAAAA")
                    {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}